Summary: Text to Postscript filter.
Name: a2ps
Version: 4.12
Release: 2
Group: Utilities/Text
Copyright: GPL
Url: http://www.inf.enst.fr/~demaille/a2ps/
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.enst.fr/pub/unix/a2ps/%{name}-%{version}.tar.gz 
Patch:  %{name}-%{version}.patch
BuildRoot: /var/tmp/%{name}-root

%description
a2ps is a text to PostScript filter with pretty-printing capabilities.
It includes support for a wide number of programming languages,
encodings (ISO Latins, Cyrillic etc.), medias, and spoken languages
(for the interface).
It has also the ability to delegate the processing of some files to
other applications, letting you print DVI, PostScript etc. with the
very same interface.


%package devel
Summary: Include files and libraries for a2ps development
Group: Utilities/Text

%description devel
Contains files necessary to develop applications using liba2ps.


%prep
%setup -q
%patch -p1


%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" ./configure \
	--prefix=/usr --sysconfdir=/etc \
	--disable-nls --with-medium=Letter
# Remove prebuilt info files to force regeneration at build time
find . -name "*.info*" -exec rm -f {} \;
make


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
gzip -9f $RPM_BUILD_ROOT/usr/info/*


%post
/sbin/install-info /usr/info/a2ps.info.gz     /usr/info/dir
/sbin/install-info /usr/info/ogonkify.info.gz /usr/info/dir
/sbin/install-info /usr/info/regex.info.gz    /usr/info/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/a2ps.info.gz     /usr/info/dir
    /sbin/install-info --delete /usr/info/ogonkify.info.gz /usr/info/dir
    /sbin/install-info --delete /usr/info/regex.info.gz    /usr/info/dir
fi


%files
%defattr(-,root,root)
%config /etc/*
%doc ABOUT-NLS ANNOUNCE AUTHORS COPYING ChangeLog FAQ HELPING-NLS 
%doc INSTALL NEWS README THANKS TODO
/usr/bin/*
/usr/info/*
/usr/man/man1/*
/usr/share/a2ps
/usr/share/emacs/site-lisp/*
/usr/share/ogonkify


%files devel
%defattr(-,root,root)
/usr/include/*
/usr/lib/*


%clean
rm -rf $RPM_BUILD_ROOT
